cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

unable to upgrade Mcafee epo from 5.9.0 to 5.9.1

We need to be able to upgrade from EPO 5.9.0 to 5.9.1 However we are getting 2 errors when checking the upgrade compatibility. SQL is setup in AWS using RDS (database only no windows OS we can see). Error 1: SQL Server System RSA Compatibility. Result: Cipher suite order is not correct. use Group Policy Editor to change it. Error 2: Database mirroring status. Result Database mirroring is enabled. How do we go about resolving this. The SQL Database is in AWS. Thanks
5 Replies
vivs
McAfee Employee
McAfee Employee
Report Inappropriate Content
Message 2 of 6

Re: unable to upgrade Mcafee epo from 5.9.0 to 5.9.1

Hello @User88701743 

Thanks for your post.

I would  like to inform you that EPO 5.9.x is going end of life and support from 31st August 2020 and would recommend you to upgrade to version 5.10 .

However, As per the questions posted by you:

1) Run IIS Crypto-Select Ciphers-Best Practices and then apply. once done please reboot the machine.Reboot is mandatory.

2) KB71825

cdinet
McAfee Employee
McAfee Employee
Report Inappropriate Content
Message 3 of 6

Re: unable to upgrade Mcafee epo from 5.9.0 to 5.9.1

Refer to KB91304 for cipher requirements for epo to connect to sql.  They might have to get with Amazon to ensure their rds instance complies.  You also need to ensure those are enabled on the epo server, and you can do that by running IISCrypto and choose best practices and reboot, as @vivs recommended.

Was my reply helpful?
If this information was helpful in any way or answered your question, will you please select Accept as Solution in my reply and together we can help other members?

Re: unable to upgrade Mcafee epo from 5.9.0 to 5.9.1

Hi, Thank you for your reply.

I installed IISCrypto and chose best practices to reorder the cipher suites, then rebooted the server but unfortunately still getting the same error messages. Is there anything else you can suggest? what changes do I need to make at Amazons end? Also I get an error saying database mirroring is enabled. I guess this will have to be disabled at Amazons end also? is it safe just to disable it? 

cdinet
McAfee Employee
McAfee Employee
Report Inappropriate Content
Message 5 of 6

Re: unable to upgrade Mcafee epo from 5.9.0 to 5.9.1

Database mirroring must be disabled in order for any upgrade to succeed, as otherwise the db can't be put in single user mode that the upgrade uses at certain points.  Other than that, I would suggest opening a ticket with McAfee so we can review logs.  

Was my reply helpful?
If this information was helpful in any way or answered your question, will you please select Accept as Solution in my reply and together we can help other members?

Re: unable to upgrade Mcafee epo from 5.9.0 to 5.9.1

Thank you for getting back to me. I will open a ticket.

You Deserve an Award
Don't forget, when your helpful posts earn a kudos or get accepted as a solution you can unlock perks and badges. Those aren't the only badges, either. How many can you collect? Click here to learn more.

Community Help Hub

    New to the forums or need help finding your way around the forums? There's a whole hub of community resources to help you.

  • Find Forum FAQs
  • Learn How to Earn Badges
  • Ask for Help
Go to Community Help

Join the Community

    Thousands of customers use the McAfee Community for peer-to-peer and expert product support. Enjoy these benefits with a free membership:

  • Get helpful solutions from McAfee experts.
  • Stay connected to product conversations that matter to you.
  • Participate in product groups led by McAfee employees.
Join the Community
Join the Community